Subject: Re: [PATCH v2] pretty: add %(decorate[:<options>]) format

From: Junio C Hamano <[email-masked]>
Date: Mon, 17 Jul 2023 18:05:48 -0700

Junio C Hamano <[email-masked]> writes:

> I'll stop here. After skimming the changes to the test, I think this
> single patch should be split into separate steps.  Perhaps the split
> should go like this:
> ...
> Thanks.

Oh, sorry that I forgot to add one thing.

Overall, the patch seems to be done very well when viewed as a
whole.  Thanks for working on it.

It is just I cannot be as confident as I would like to be in my
review when the single patch does several different things at once.
If it were split in steps, each step focusing on doing a single
thing well and describing well what it does and why, reviewers can
be more confident that they did not miss something important in the
patch(es).